Bug 218635 - Update cad/calculix to version 2.12
Summary: Update cad/calculix to version 2.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Maho Nakata
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-13 16:50 UTC by Pedro F. Giffuni
Modified: 2017-08-15 00:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (maho)


Attachments
Updated port (svn diff) (36.23 KB, patch)
2017-04-13 16:50 UTC, Pedro F. Giffuni
no flags Details | Diff
port update (36.23 KB, patch)
2017-06-17 15:13 UTC, Pedro F. Giffuni
no flags Details | Diff
port update (36.44 KB, patch)
2017-06-27 21:53 UTC, Pedro F. Giffuni
no flags Details | Diff
port update - minor cleanups (39.92 KB, patch)
2017-06-28 02:33 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2017-04-13 16:50:47 UTC
Created attachment 181761 [details]
Updated port (svn diff)

New features here:
http://www.dhondt.de/new_calc.htm

Also drop USE_GCC since we already specified we need openmp (and fortran).
Comment 1 Pedro F. Giffuni freebsd_committer 2017-06-17 15:13:04 UTC
Created attachment 183575 [details]
port update

Minor update: the port bumped the revision number since I submitted the update.
Comment 2 Pedro F. Giffuni freebsd_committer 2017-06-27 21:53:35 UTC
Created attachment 183859 [details]
port update

Checksums seem to have changed upstream.
Comment 3 Pedro F. Giffuni freebsd_committer 2017-06-28 02:33:29 UTC
Created attachment 183866 [details]
port update - minor cleanups
Comment 4 commit-hook freebsd_committer 2017-06-28 02:43:44 UTC
A commit references this bug:

Author: pfg
Date: Wed Jun 28 02:43:32 UTC 2017
New revision: 444535
URL: https://svnweb.freebsd.org/changeset/ports/444535

Log:
  Update CalculiX to version 2.12.

  New features listed here:
  http://www.dhondt.de/new_calc.htm

  Rename a patch to make portlint/makepatch less noisy.
  Reset the maintainer at request.

  PR: 218635
  Approved by:	maho

Changes:
  head/cad/calculix/Makefile
  head/cad/calculix/distinfo
  head/cad/calculix/files/patch-ccx_VER+src+CalculiX.h
  head/cad/calculix/files/patch-ccx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+Makefile
  head/cad/calculix/files/patch-cgx_VER+src+cgx.h
  head/cad/calculix/files/patch-libSNL+makefile
  head/cad/calculix/files/patch-libSNL_src_makefile
  head/cad/calculix/pkg-descr
  head/cad/calculix/pkg-plist
Comment 5 Pedro F. Giffuni freebsd_committer 2017-08-15 00:33:08 UTC
This was committed a while ago, however the GCC5 runtime would cause segmentation faults and had to be later fixed.